GuidesAPI Reference
Guides

Get HERE map content for driver alerts

After a route is calculated using HERE Routing API v8, driver alerts can be displayed at certain points of the route.

Using requests to the HERE Map Attributes API, you can retrieve different layers to create driver alerts.

Layers that can be used for this purpose include:

  • SPEED_LIMITS_FCn - Layers with posted and derived legal speed limits.
  • ADAS_ATTRIB_FCn - Layers with ADAS (high-detail) curvature, height and slope representation of road geometry.
📘

Note

To see a list of the available layers and their attributes, access the following URL:

https://smap.hereapi.com/v8/maps/layers/list.html?&apiKey={YOUR_API_KEY}

Sample request

curl -gX GET 'https://smap.hereapi.com/v8/maps/attributes?'\
'layers=SPEED_LIMITS_FC1,SPEED_LIMITS_FC2,SPEED_LIMITS_FC3,SPEED_LIMITS_FC4,SPEED_LIMITS_FC5,ADAS_ATTRIB_FC1,ADAS_ATTRIB_FC2,ADAS_ATTRIB_FC3,ADAS_ATTRIB_FC4,ADAS_ATTRIB_FC5'\
'&in=tile:401926,1608716,6432793,25727025,102916195,401926,1608716,6432793,25727025,102916195'\
'&apiKey={YOUR_API_KEY}'

Response

Click to view the sample response.

Note that the response example is truncated.

{
  "Tiles":[
    {
      "Meta":{
        "layerName":"SPEED_LIMITS_FC1",
        "tileId":401926,
        "level":9,
        "mapRegion":"WEU",
        "mapRelease":"22136"
      },
      "Rows":[
        {
          "LINK_ID":"709291533",
          "FROM_REF_SPEED_LIMIT":null,
          "TO_REF_SPEED_LIMIT":"130",
          "SPEED_LIMIT_SOURCE":"1",
          "SPEED_LIMIT_UNIT":"K",
          "TOPOLOGY_ID":"843266494",
          "START_OFFSET":"062892",
          "END_OFFSET":"085238"
        },
        {
          "LINK_ID":"709291537",
          "FROM_REF_SPEED_LIMIT":"130",
          "TO_REF_SPEED_LIMIT":null,
          "SPEED_LIMIT_SOURCE":"1",
          "SPEED_LIMIT_UNIT":"K",
          "TOPOLOGY_ID":"194201326",
          "START_OFFSET":"45037",
          "END_OFFSET":"59790"
        },
        {
          "LINK_ID":"709291574",
          "FROM_REF_SPEED_LIMIT":null,
          "TO_REF_SPEED_LIMIT":"130",
          "SPEED_LIMIT_SOURCE":"1",
          "SPEED_LIMIT_UNIT":"K",
          "TOPOLOGY_ID":"194201326",
          "START_OFFSET":"083929",
          "END_OFFSET":"089366"
        },
    ...

Examples

Link to exampleResource
Driver alerts - speeding/v8/maps/attributes
Driver rating - speeding and cornering along route/v8/maps/attributes
Traffic signs along a route/v8/maps/attributes
Truck POIs along a route/v8/maps/attributes
Speed limits along a route/v8/maps/attributes
Speed limits in map view/v8/maps/attributes
Speed limit at a coordinate/v8/maps/attributes